ListElement (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.html
Class ListElement

    java.lang.Object
      com.bbn.openmap.util.html.ListElement

All Implemented Interfaces:
  ContainerElement, Element

Direct Known Subclasses:
  ListBodyElement

    public class ListElement

extends java.lang.Object
implements ContainerElement

A basic html container type

Field Summary
`protected java.util.Vector` | `v` An ordered vector of elements

Constructor Summary
`ListElement()` Construct a new ListElement

Method Summary
`void` | `addElement(Element e)` Add an element to the end of the list
`void` | `addElement(java.lang.String s)` Add an element to the end of the list
`void` | `generate(java.io.Writer out)` convert representation to html and write it out

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### v

    protected java.util.Vector v

  An ordered vector of elements

Constructor Detail

### ListElement

    public ListElement()

  Construct a new ListElement

Method Detail

### addElement

    public void addElement(Element e)

  Add an element to the end of the list

  Specified by:
    `addElement` in interface `ContainerElement`
  Parameters:
    `e` - the element to add

### addElement

    public void addElement(java.lang.String s)

  Add an element to the end of the list

  Specified by:
    `addElement` in interface `ContainerElement`
  Parameters:
    `s` - the string to add

### generate

    public void generate(java.io.Writer out)
                  throws java.io.IOException

  convert representation to html and write it out

  Specified by:
    `generate` in interface `Element`
  Parameters:
    `out` - the output Writer
  Throws:
    `java.io.IOException` - an IO error occurred accessing out

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details